<?php

class cCuentadeposito{

	function insertar($nom,$caj_id){

	$sql = "INSERT tb_cuentadeposito (

		`tb_cuentadeposito_nom`,

		`tb_caja_id`

		)

		VALUES (

		 '$nom', '$caj_id'

		);"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}

	function ultimoInsert(){

	$sql = "SELECT last_insert_id()"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}

	function filtrar(){

	$sql="SELECT * 

	FROM tb_cuentadeposito t

	LEFT JOIN tb_caja c ON t.tb_caja_id=c.tb_caja_id

	ORDER BY tb_cuentadeposito_nom";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function mostrarUno($id){

	$sql="SELECT * 

	FROM tb_cuentadeposito

	WHERE tb_cuentadeposito_id=$id";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function modificar($id,$nom,$caj_id){ 

	$sql = "UPDATE tb_cuentadeposito SET  

	`tb_cuentadeposito_nom` =  '$nom',

	`tb_caja_id` =  '$caj_id'

	WHERE  tb_cuentadeposito_id =$id;"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}

	function eliminar($id){

	$sql="DELETE FROM tb_cuentadeposito WHERE tb_cuentadeposito_id=$id";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

}

?>